# vim: set sw=4 ts=4 et:

%bcond_without unstable
%bcond_without sqlite

Name:           aircrack-ng
Summary:        Aircrack-ng is the next generation of aircrack
Version:        1.1
%define pkg_version 1.1
Release:        2.2
License:        GNU General Public License version 2 (GPL v2)
Group:          Productivity/Networking/Security
URL:            http://www.aircrack-ng.org/
# no source because of legal problems in Germany where mirrors are located
Source0:        http://download.aircrack-ng.org/%{name}-%{pkg_version}.tar.gz
Source1:        README.SUSE
## http://802.11ninja.net/svn/lorcon/branch/lorcon-old/
#Source2:        lorcon-old.tar.bz2
#Source3:        http://download.github.com/tom5760-pylorcon2-aeb74d1.tar.gz
Source99:       %{name}-rpmlintrc
Patch1:         aircrack-ng-remove_usr_local.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires:  make autoconf automake gcc gcc-c++ libtool libstdc++-devel glibc-devel
BuildRequires:  zlib-devel
%if %suse_version > 1020
BuildRequires:  libopenssl-devel
%else
BuildRequires:  openssl-devel
%endif
%if %suse_version >= 1100
BuildRequires:  sqlite3-devel
%else
BuildRequires:  sqlite-devel
%endif
Requires:       wireless-tools

%description
Aircrack-ng is the next generation of aircrack with lots of new features:
 * More cards/drivers supported
 * More OS and platforms supported
 * New WEP attack: PTW
 * WEP dictionary attack
 * Fragmentation attack
 * Improved cracking speed
 * Capture with multiple cards
 * Optimizations, other improvements and bug fixing

%prep
%setup -q -n "aircrack-ng-%{pkg_version}"
find patches/ -type f -exec %__chmod 0644 {} \;
find patches/ -type f -exec %__sed -i 's|\r||g' {} \;
%__cp "%SOURCE1" .
%__chmod 0644 AUTHORS ChangeLog INSTALLING LICENSE README* VERSION
%patch1

%build
CFLAGS="%{optflags} -Wall" \
%__make \
        %{?jobs:-j%{jobs}} \
        SQLITE=%{?with_sqlite:true}%{?!with_sqlite:false} \
        UNSTABLE=%{?with_unstable:true}%{?!with_unstable:false} \
        prefix="%{_prefix}" \
        libdir="%{_libdir}" \
        docdir="%{_docdir}/%{name}"

%install
%makeinstall \
        SQLITE=%{?with_sqlite:true}%{?!with_sqlite:false} \
        UNSTABLE=%{?with_unstable:true}%{?!with_unstable:false} \
        sbindir="%{_sbindir}" \
        bindir="%{_bindir}" \
        mandir="%{_mandir}/man1" \
        libdir="%{_libdir}" \
        docdir="%{_docdir}/%{name}"

%clean
%{?buildroot:%__rm -rf "%{buildroot}"}

%files
%defattr(-,root,root)
%doc AUTHORS ChangeLog INSTALLING LICENSE README README.SUSE VERSION
%doc patches
%{_bindir}/aircrack-ng
%{_bindir}/airdecap-ng
%{_bindir}/airdecloak-ng
%{_bindir}/ivstools
%{_bindir}/kstats
%{_bindir}/makeivs-ng
%{_bindir}/packetforge-ng
%{_sbindir}/airbase-ng
%{_sbindir}/airdriver-ng
%{_sbindir}/aireplay-ng
%{_sbindir}/airmon-ng
%{_sbindir}/airodump-ng
%{_sbindir}/airodump-ng-oui-update
%{_sbindir}/airserv-ng
%{_sbindir}/airtun-ng
%if %{with sqlite}
%{_bindir}/airolib-ng
%endif
%if %{with unstable}
%{_bindir}/buddy-ng
%{_sbindir}/easside-ng
%{_sbindir}/tkiptun-ng
%{_sbindir}/wesside-ng
%endif
%doc %{_mandir}/man1/*.1%{ext_man}

%changelog
* Sun Apr 25 2010 pascal.bleser@opensuse.org
- update to 1.1
* Fri Oct 23 2009 pascal.bleser@opensuse.org
- forced rebuild to avoid uploading the binary packages
* Tue Sep  8 2009 pascal.bleser@opensuse.org
- update to 1.0
* Thu Sep  3 2009 pascal.bleser@opensuse.org
- update to rc4
* Thu Apr 16 2009 pascal.bleser@opensuse.org
- changed version to include rc3, final will be 1.0+final
- pass %%%%optflags properly
- spec file cleanup
- update to rc3
* Thu Jul 17 2008 andrea@links2linux.de
- First spec Making
